
TYPO3.Neos - Task # 49946

Work Package # 47023 (Accepted): Global user interface
Task # 48071 (Resolved): Navigate component

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To: Aske Ertmann
Updated: 2013-10-15 Due date:
Subject: Node tree filtering
Description

Add the possibility to filter the node tree with a query textfield matching the node titles and a selector for filtering node available node
types.

Since the tree structure needs to be there always, we will still show other nodes if they're parents of a filtered result. When querying
the text matching should be highlighted and when filtering by node type the whole non-matched parent node should be
dimmed/grayed out.

Associated revisions
Revision 304143a2 - 2013-10-15 14:46 - Mattias Nilsson

[!!!][TASK] Add navigate component

This adds navigation functionality which includes the
Node tree and Context structure tree.

Change-Id: I393fd01266f95ece643999b4e8e59e3710dc76f5
Resolves: #48071
Resolves: #49946
Reviewed-on: https://review.typo3.org/21828
Reviewed-by: Sebastian Kurfuerst
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-07-11 22:45 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos

#2 - 2013-10-14 13:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 55 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#3 - 2013-10-14 13:45 - Aske Ertmann
- Assigned To changed from Mattias Nilsson to Aske Ertmann
#4 - 2013-10-14 13:54 - Gerrit Code Review

Patch set 56 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#5 - 2013-10-14 13:59 - Gerrit Code Review

Patch set 57 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#6 - 2013-10-14 21:48 - Gerrit Code Review

Patch set 58 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#7 - 2013-10-14 22:43 - Gerrit Code Review

Patch set 59 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#8 - 2013-10-14 23:32 - Gerrit Code Review

Patch set 60 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#9 - 2013-10-15 15:36 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:304143a2aa0bc8cf475628f74022d02aa5e98b8f.
